--@Author: 
--@Web: 

Kartoffelhaendler_Ingo210578Placeable = {};
Kartoffelhaendler_Ingo210578Placeable_mt = Class(Kartoffelhaendler_Ingo210578Placeable, Placeable);
InitObjectClass(Kartoffelhaendler_Ingo210578Placeable, "Kartoffelhaendler_Ingo210578Placeable");

function Kartoffelhaendler_Ingo210578Placeable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, Kartoffelhaendler_Ingo210578Placeable_mt);
    registerObjectClassName(self, "Kartoffelhaendler_Ingo210578Placeable");
    return self;
end;

function Kartoffelhaendler_Ingo210578Placeable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    Kartoffelhaendler_Ingo210578Placeable:superClass().delete(self);
end;

function Kartoffelhaendler_Ingo210578Placeable:deleteFinal()
    Kartoffelhaendler_Ingo210578Placeable:superClass().deleteFinal(self);
end;

function Kartoffelhaendler_Ingo210578Placeable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not Kartoffelhaendler_Ingo210578Placeable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function Kartoffelhaendler_Ingo210578Placeable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("Kartoffelhaendler_Ingo210578Placeable", Kartoffelhaendler_Ingo210578Placeable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
